# Generated by Django 2.0.2 on 2018-02-20 20:27

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Antibiotico',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='Código')),
                ('antibiotico', models.CharField(max_length=120, verbose_name='Antibiótico')),
                ('status', models.SmallIntegerField(choices=[(1, 'Ativo'), (2, 'Inativo')], default=1, verbose_name='Status')),
            ],
            options={
                'verbose_name': 'Antibiótico',
                'verbose_name_plural': 'Antibióticos',
                'ordering': ['antibiotico'],
            },
        ),
        migrations.CreateModel(
            name='AntibioticoGrupo',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='Código')),
                ('grupo', models.CharField(max_length=30, verbose_name='Grupo')),
                ('status', models.SmallIntegerField(choices=[(1, 'Ativo'), (2, 'Inativo')], default=1, verbose_name='Status')),
            ],
            options={
                'verbose_name': 'Antibiótico - Grupo',
                'verbose_name_plural': 'Antibióticos - Grupo',
                'ordering': ['grupo'],
            },
        ),
        migrations.CreateModel(
            name='AntibioticoSubGrupo',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='Código')),
                ('subgrupo', models.CharField(max_length=30, verbose_name='Sub-Grupo')),
                ('status', models.SmallIntegerField(choices=[(1, 'Ativo'), (2, 'Inativo')], default=1, verbose_name='Status')),
            ],
            options={
                'verbose_name': 'Antibiótico - Sub-Grupo',
                'verbose_name_plural': 'Antibióticos - Sub-Grupo',
                'ordering': ['subgrupo'],
            },
        ),
        migrations.CreateModel(
            name='Cepa',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='Código')),
                ('cepa', models.CharField(max_length=50)),
                ('grupo', models.CharField(choices=[('RM', 'Resistência Microbiana'), ('TSA', 'Teste de Sensibilidade')], max_length=3)),
                ('status', models.SmallIntegerField(choices=[(1, 'Ativo'), (2, 'Inativo')], default=1, verbose_name='Status')),
            ],
            options={
                'verbose_name': 'Cepa',
                'verbose_name_plural': 'Cepas',
                'ordering': ['cepa'],
            },
        ),
        migrations.CreateModel(
            name='Gene',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='Código')),
                ('gene', models.CharField(max_length=50)),
                ('status', models.SmallIntegerField(choices=[(1, 'Ativo'), (2, 'Inativo')], default=1, verbose_name='Status')),
            ],
            options={
                'verbose_name': 'Gene',
                'verbose_name_plural': 'Genes',
                'ordering': ['gene'],
            },
        ),
        migrations.CreateModel(
            name='Material',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='Código')),
                ('material', models.CharField(max_length=80)),
                ('status', models.SmallIntegerField(choices=[(1, 'Ativo'), (2, 'Inativo')], default=1, verbose_name='Status')),
            ],
            options={
                'verbose_name': 'Material',
                'verbose_name_plural': 'Materiais',
                'ordering': ['material'],
            },
        ),
        migrations.CreateModel(
            name='Metodo',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='Código')),
                ('metodo', models.CharField(max_length=50)),
                ('status', models.SmallIntegerField(choices=[(1, 'Ativo'), (2, 'Inativo')], default=1, verbose_name='Status')),
            ],
            options={
                'verbose_name': 'Método',
                'verbose_name_plural': 'Métodos',
                'ordering': ['metodo'],
            },
        ),
        migrations.CreateModel(
            name='Microrganismo',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='Código')),
                ('microrganismo', models.CharField(max_length=120)),
                ('status', models.SmallIntegerField(choices=[(1, 'Ativo'), (2, 'Inativo')], default=1, verbose_name='Status')),
            ],
            options={
                'verbose_name': 'Microrganismo',
                'verbose_name_plural': 'Microrganismos',
                'ordering': ['microrganismo'],
            },
        ),
        migrations.CreateModel(
            name='MicrorganismoClasse',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='Código')),
                ('classe', models.CharField(max_length=30)),
                ('status', models.SmallIntegerField(choices=[(1, 'Ativo'), (2, 'Inativo')], default=1, verbose_name='Status')),
            ],
            options={
                'verbose_name': 'Microrganismo - Classe',
                'verbose_name_plural': 'Microrganismos - Classe',
                'ordering': ['classe'],
            },
        ),
        migrations.CreateModel(
            name='MicrorganismoGrupo',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='Código')),
                ('grupo', models.CharField(max_length=30)),
                ('status', models.SmallIntegerField(choices=[(1, 'Ativo'), (2, 'Inativo')], default=1, verbose_name='Status')),
            ],
            options={
                'verbose_name': 'Microrganismo - Grupo',
                'verbose_name_plural': 'Microrganismos - Grupo',
                'ordering': ['grupo'],
            },
        ),
        migrations.CreateModel(
            name='Norma',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='Código')),
                ('norma', models.CharField(max_length=50)),
                ('grupo', models.CharField(choices=[('ACR', 'Acreditação'), ('INT', 'Interpretação'), ('QLD', 'Qualidade')], max_length=3)),
                ('status', models.SmallIntegerField(choices=[(1, 'Ativo'), (2, 'Inativo')], default=1, verbose_name='Status')),
            ],
            options={
                'verbose_name': 'Norma',
                'verbose_name_plural': 'Normas',
                'ordering': ['norma'],
            },
        ),
        migrations.CreateModel(
            name='Teste',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='Código')),
                ('teste', models.CharField(max_length=50)),
                ('status', models.SmallIntegerField(choices=[(1, 'Ativo'), (2, 'Inativo')], default=1, verbose_name='Status')),
            ],
            options={
                'verbose_name': 'Teste',
                'verbose_name_plural': 'Testes',
                'ordering': ['teste'],
            },
        ),
        migrations.CreateModel(
            name='Vinculo',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name='Código')),
                ('vinculo', models.CharField(max_length=50)),
                ('status', models.SmallIntegerField(choices=[(1, 'Ativo'), (2, 'Inativo')], default=1, verbose_name='Status')),
            ],
            options={
                'verbose_name': 'Vínculo',
                'verbose_name_plural': 'Vínculos',
                'ordering': ['vinculo'],
            },
        ),
        migrations.AddField(
            model_name='microrganismo',
            name='classe',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='glass.MicrorganismoClasse', verbose_name='Classe'),
        ),
        migrations.AddField(
            model_name='microrganismo',
            name='grupo',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='glass.MicrorganismoGrupo', verbose_name='Grupo'),
        ),
        migrations.AddField(
            model_name='antibiotico',
            name='grupo',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='glass.AntibioticoGrupo', verbose_name='Grupo'),
        ),
        migrations.AddField(
            model_name='antibiotico',
            name='subgrupo',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='glass.AntibioticoSubGrupo', verbose_name='Sub-Grupo'),
        ),
    ]
